Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

I notice that WordPress uses the GPL 2+ license. Can I release my free theme under GPL 3.0, since that's the most current version? Would it create compatibility issues? Thanks!

share|improve this question
add comment

3 Answers

Short answer: Yes.

I'll go through your question step by step so you can better understand why I write so:

I notice that WordPress uses the GPL 2+ license.

This depends a bit to which version you are referring. The public available, stable version 3.0.4 is licensed under GPL (no version given). That was not always exceptionally visible, but WordPress was and still is GNU GPL non-version-restricted licensed indeed.

The next versions WordPress 3.0.5 and WordPress 3.1.0 will be released under GPL v2 (or at your option any later version).

Can I release my free theme under GPL 3.0, since that's the most current version?

Regardless to which version of Wordpress you refer to, you can create a derivate out of the Wordpress code by adding your theme code and license it under GPL 3.0. That's correct.

It's your choice that counts here, you can personally decide which version to use, and it's correct that this can be version 3 of the GPL. Please name the original license for parts in the package, so it's visible where a change occurred.

If you are concerned about the most current version and why/how to choose version 3, please see Why Upgrade to GPLv3 to learn about the differences to version 2. And keep in mind that you probably want to license that derivate under GPL v3 (or at the users option any later version).

Would it create compatibility issues? Thanks!

You can upgrade/convert GPL or GPL v2+ code easily to GPL v3 but not that easily the other way round. That's explained as well in the link above and not a fundamental problem.

However, GPL v3 (2007) is compatible with additional FLOSS licenses compared to GPL v2 (1991) which makes it a preferable choice if you want to mix with Apache 2.0 code, as it is compatible.

And it is well updated for nowadays day-to-day use, for example if some of your users run into licensing problems, the termination is not per-se that fatal as it is for GPL v2.

For the highest amount of flexibility you can however release your theme under the terms of the GPL and create a derivate with the current stable version. This will ensure that it is the same way compatible as any derivate available today.

For WP 3.1 you're compatible in the same sense with GPL v3+, there is actually no need to go back to GPL v2 if that is what you're asking for/what you prefer. It won't introduce any licensing trouble AFAIK.

GPL Compatibility for the WordPress.org Theme Repository

If you're asking because of the theme repository on wordpress.org you need to look there for their licensing requirements.

Guidelines state that "Themes are required to be 100% GPL-licensed, or use a GPL-compatible license. This includes all PHP, HTML, CSS, images, fonts, icons, and everything else. All of the theme must be GPL-Compatible." (Source) and a compatibility matrix is linked.

But keep in mind, it's known that part of the WordPress core project might be biased to the one or other specific GPL version and the project might want to influence on theme authors as well, so you should better ask them first.

I assume that the theme directory admins will suggest you to use GPL v2+ for your theme nowadays, but I have no clue if that is a must or not.


As always, IANAL but I hope my feedback is of some value to answer your question.

share|improve this answer
    
WP 3.0.4 also uses GPL v2. See the license.txt included with every release and also this: wordpress.org/about/license –  user2370 Feb 3 '11 at 13:37
    
@mercator - Thanks for the feedback. Users can choose the terms of any version of the GNU GPL released by the FSF. I've made this more prominent in my answer now as well, Mark Jaquith from the WordPress project made that clear last month again. The information of the wordpress.org homepage was not that clear about the correct licensing terms so far. –  hakre Feb 4 '11 at 11:34
add comment

From the Codex, it says that:

Licensing - WordPress is available under the GPL version 2 or (at your option) any later version

http://codex.wordpress.org/Version_3.1

share|improve this answer
add comment

You can, but it may make life more difficult for some companies that employ Armies of Lawyers®. GPL 3 is a leetle bit more hardcore than GPL 2 and them lawyer folks don't like change. It might (possibly) impact whether you can get it listed on wordpress.org/extend/themes/. I can't find anything that speaks directly to this issue, but the Review Team's page only mentions GPL 2.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.